---
primaryTopic:
  Accounts:
    AccountCategory: TOTAL EXEMPTION FULL
    AccountRefDay: 24
    AccountRefMonth: 06
    LastMadeUpDate: 24/06/2023
    NextDueDate: 24/03/2025
  CompanyCategory: Private Limited Company
  CompanyName: LAUREL COURT MANAGEMENT (C.B.) LIMITED
  CompanyNumber: 02984805
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 31/10/1994
  RegAddress:
    AddressLine1: 119-120 HIGH STREET
    AddressLine2: ETON
    PostTown: WINDSOR
    Country: ENGLAND
    Postcode: SL4 6AN
  Returns:
    LastMadeUpDate: 31/10/2023
    NextDueDate: 14/11/2024
  SICCodes:
    SicText:
      - '68209 - Other letting and operating of own or leased real estate'
